# open-cpp-utils: open_cpp_utils::any< T, Rest... > Class Template Reference

Loading...
Searching...
No Matches
open_cpp_utils::any< T, Rest... > Class Template Reference
Inheritance diagram for open_cpp_utils::any< T, Rest... >:

## Public Types

using | base_type = any<Rest...>
using | this_type = T

## Public Member Functions

| any (const this_type &value, const Rest &...other)
| any (this_type &&value, Rest &&...other)
| any (const any &other)=default
| any (any &&other)=default
any & | operator= (const any &)=default
any & | operator= (any &&)=default
| operator this_type () const
| operator this_type & ()
| operator const this_type & () const
| operator this_type && ()
| operator this_type * ()
| operator const this_type * () const

The documentation for this class was generated from the following file:

- any.h